Redmine - Defect #31503

Undefined local variable sender_email in MailHandler#receive_message_reply
2019-06-03 17:45 - Andriy Lesyuk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 3.4.11

Resolution: Fixed Affected version: 3.4.10
Description

When receiving a reply to a locked topic, mail handler crashes with the following error:

undefined local variable or method "sender_email' for #<MailHandler:0x0055675dfa9el10>
Did you mean? send_action
app/models/mail_handler.rb:289:in "receive_message_reply'

That's because receive_message_reply is trying to use sender_email variable, which was not defined in this method.
Here is the corresponding line (source:trunk/app/models/mail_handler.ro@18198#L.277):

logger&.info "MailHandler: ignoring reply from [#{sender_email}] to a locked topic"

Associated revisions

Revision 18239 - 2019-06-10 02:54 - Go MAEDA

Fix "Undefined local variable sender_email" error in MailHandler#receive_message_reply when receiving a reply to a locked topic (#31503).

Patch by Go MAEDA.

Revision 18240 - 2019-06-10 04:07 - Go MAEDA
Backport the fix r18239 to 4.0-stable (#31503).

Revision 18241 - 2019-06-10 04:09 - Go MAEDA
Backport the fix r18239 to 3.4-stable (#31503).

History

#1 - 2019-06-09 14:08 - Go MAEDA

- File fix-31503-trunk.diff added

- File fix-31503-3_4.diff added

- Status changed from New to Confirmed
- Target version set to 3.4.11

- Affected version changed from 4.0.0 to 3.4.10

Attaching patches to fix the issue.

#2 - 2019-06-10 02:55 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch to the trunk. Thank you for reporting this issue.

#3 - 2019-06-10 04:09 - Go MAEDA

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/18198/entry/trunk/app/models/mail_handler.rb#L277

Files

fix-31503-trunk.diff 1.22 KB 2019-06-09 Go MAEDA
fix-31503-3_4.diff 1.21 KB 2019-06-09 Go MAEDA
